### Function

# Vips Object map

#### Declaration [src]

    void*
    vips_object_map (
      VipsSListMap2Fn fn,
      void* a,
      void* b
    )

#### Description [src]

Call a function for all alive objects. Stop when `fn` returns non-`NULL` and return that value.

This function is not directly available to language bindings.

#### Parameters

`fn`

  Type: `VipsSListMap2Fn`

  Function to call for all objects.

`a`

  Type: `void*`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

`NULL` if `fn` returns `NULL` for all arguments, otherwise the first non-`NULL` value from `fn`.

The data is owned by the called function.
The return value can be `NULL`.